Index: palm/trunk/SOURCE/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3788)
+++ palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3789)
@@ -97,6 +97,4 @@
                                                                  
                                                                  
-  INTEGER, DIMENSION(vl_dim)  :: kacc, krej                       
-  INTEGER, DIMENSION(vl_dim)  :: ierrv                           
   LOGICAL                     :: data_loaded = .FALSE.             
 ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -115,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -192,6 +190,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -220,6 +218,4 @@
 ! TEMP - Temperature
   REAL(kind=dp):: temp
-! TSTART - Integration start time
-  REAL(kind=dp):: tstart
 ! ATOL - Absolute tolerance
   REAL(kind=dp):: atol(nvar)
@@ -260,6 +256,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -304,6 +300,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -366,6 +362,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -392,6 +388,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -450,6 +446,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -477,6 +473,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -504,6 +500,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -533,6 +529,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -559,6 +555,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Tue Mar  5 11:50:53 2019
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Mar  8 19:01:03 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190308/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -680,5 +676,5 @@
 
 
-  INTEGER         :: j, k
+ INTEGER         :: k
 
   INTEGER :: i
@@ -722,5 +718,4 @@
    INTEGER       :: icntrl(20), istatus(20), ierr
 
-   INTEGER, SAVE :: ntotal = 0
 
    icntrl(:) = 0
@@ -942,5 +937,5 @@
   REAL(dp), DIMENSION(:), INTENT(IN):: c
 
-  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1)
+  write(6,*) 'ERROR in chem_gasphase_mod ',ierr,C(1),PE
 
 
@@ -2251,6 +2246,5 @@
                                                                       
     INTEGER  :: ier                                                   
-    REAL(kind=dp):: jvs(lu_nonzero), w(nvar), a             
-    INTEGER  :: k, kk, j, jj                                          
+    REAL(kind=dp):: jvs(lu_nonzero), a                         
                                                                       
     a = 0.                                                            
@@ -2307,5 +2301,4 @@
   INTEGER, DIMENSION(20)                :: istatus_u               
   INTEGER                                :: ierr_u                  
-  INTEGER                                :: istatf                  
   INTEGER                                :: vl_dim_lo               
                                                                     
@@ -2344,5 +2337,5 @@
                                                                     
    IF (PRESENT(l_debug) .AND. PRESENT(pe)) THEN                       
-      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)          
+      IF (l_debug) CALL error_output(conc(is, :), ierr_u, pe)           
    ENDIF                                                              
                                                                       
